function [my_pathcost, your_pathcost] = astar_test()
% this function can be used to test an Astar algorithm in Matlab
% This file is a part of ``A* homework''
% Copyright (c) Michael Otte <ottemw@mit.edu>
%
% Permission is hereby granted, free of charge, to any person
% obtaining a copy of this software and associated documentation
% files (the "Software"), to deal in the Software without
% restriction, including without limitation the rights to use,
% copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the
% Software is furnished to do so, subject to the following
% conditions:
%
% The above copyright notice and this permission notice shall be
% included in all copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
% EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
% OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
% NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
% HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
% WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
% FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
% OTHER DEALINGS IN THE SOFTWARE.
%
% Written by Michael Otte 2007, University of Colorado at Boulder
% Modified by Michael Otte 2012, Massachusetts Institute of Technology
% Modified by Longin Jan Latecki, latecki@temple.edu, Aug 2012

close all
% map paramiters
Rows = 100;      % the number of rows in the map
Cols = 100;      % the number of columns in the map
max_cost = 11;   % the cost in the map will range from 1 to max_cost
x = 40;          % hill factor (this changes the radius of a cost hill)

% start and goal
start_row = 20;
start_col = 10;

goal_row = 70;
goal_col = 90;

% create random map
map = random_map(Rows,Cols,x,max_cost);

% put a wall of high cost in the middle
map = fill_map(map, 50,55,30,70,max_cost);

% Your path from start to goal 
[path_rows path_cols] = astar(map,[start_row start_col],[goal_row goal_col]);
your_pathcost=pcost(path_rows, path_cols, map,'red');

% My path from start to goal 
[my_path_rows my_path_cols] = my_astar(map,[start_row start_col],[goal_row goal_col]);
my_pathcost=pcost(my_path_rows, my_path_cols, map,'blue');



figure;
% display your path in blue
% the robot is the green dot
% the goal is the 'X'
% for cost, white is good and black is bad
draw_path(map, path_rows, path_cols, [start_row start_col], [goal_row goal_col],'red');
hold off;
% display my path in red
% note: empty map here keeps your path from being erased
draw_path([], my_path_rows, my_path_cols, [start_row start_col], [goal_row goal_col],'blue');
hold on;


