function draw_path(map, x_path, y_path, start, goal,c)
% This file is a part of ``A* homework''
% Copyright (c) Michael Otte <ottemw@mit.edu>
%
% Permission is hereby granted, free of charge, to any person
% obtaining a copy of this software and associated documentation
% files (the "Software"), to deal in the Software without
% restriction, including without limitation the rights to use,
% copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the
% Software is furnished to do so, subject to the following
% conditions:
%
% The above copyright notice and this permission notice shall be
% included in all copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
% EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
% OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
% NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
% HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
% WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
% FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
% OTHER DEALINGS IN THE SOFTWARE.
%
% Written by Michael Otte 2007, University of Colorado at Boulder
% Modified by Michael Otte 2012, Massachusetts Institute of Technology
%
% this fucntion is used to draw a path in the map from start to goal
%
% map = 2D matrix
% x_path = vector of path columns
% y_path = vector of path rows
% start = [row_start column_start]
% goal = [row_goal column_goal]
% c = color, i.e. 'r' for red

if ~isempty(map)
    c_map = repmat([1:-1/128:0]',1,3);
    colormap(c_map)
    imagesc(map)
end
hold on
plot(start(1,1),start(1,2),'o','MarkerFaceColor','g','MarkerSize',10)
plot(goal(1,1),goal(1,2),'x','LineWidth', 2,'MarkerEdgeColor','r','MarkerSize',12)
plot(x_path,y_path,'.','Color',c)
hold off
