function mapb = map_blur(map)
% This file is a part of ``A* homework''
% Copyright (c) Michael Otte <ottemw@mit.edu>
%
% Permission is hereby granted, free of charge, to any person
% obtaining a copy of this software and associated documentation
% files (the "Software"), to deal in the Software without
% restriction, including without limitation the rights to use,
% copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the
% Software is furnished to do so, subject to the following
% conditions:
%
% The above copyright notice and this permission notice shall be
% included in all copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
% EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
% OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
% NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
% HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
% WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
% FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
% OTHER DEALINGS IN THE SOFTWARE.
%
% Written by Michael Otte 2007, University of Colorado at Boulder
% Modified by Michael Otte 2012, Massachusetts Institute of Technology
%
% blurs a map

[X Y] = size(map);

mapb = zeros(X,Y);
for i = 2:1:X-1
    for j = 2:1:Y-1
        mapb(i,j) = (map(i,j) + map(i+1,j) + map(i-1,j) + map(i,j+1) + map(i,j-1))/5;
    end
end

mapb(1,:) = mapb(2,:);
mapb(X,:) = mapb(X-1,:);

mapb(:,1) = mapb(:,2);
mapb(:,Y) = mapb(:,Y-1);
